diff sh/c155-gen-fc-ffs-img @ 21:9d7d2fdc733b

new shell scripts c155-gen-fc-{ffs-img,script}
author Mychaela Falconia <falcon@freecalypso.org>
date Sun, 11 Jun 2023 00:28:10 +0000
parents sh/c139-gen-fc-ffs-img@2299f1ebbfd2
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sh/c155-gen-fc-ffs-img	Sun Jun 11 00:28:10 2023 +0000
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# This shell script generates an fc-ffs.bin image specifically for FreeCalypso
+# on C155.  The difference from C139 version is the bigger FFS geometry on this
+# phone model with 8 MiB flash.
+
+if [ $# != 2 ]
+then
+	echo "usage: $0 rfbin-dir imei-file" 1>&2
+	exit 1
+fi
+
+set -e
+
+# FIXME: using c139-gen-fc-ffs-tree script to populate the FFS content for
+# FC on C155 is OK for now, but we may need a different script in the future.
+
+c139-gen-fc-ffs-tree "$1" "$2" fc-ffs
+
+echo 'Generated file system tree in fc-ffs'
+
+tiffs-mkfs -f /fc-ffs 64x13 fc-ffs fc-ffs.bin
+
+echo 'Generated FFS image for FC firmware in fc-ffs.bin'